## org.apache.commons.collections.map
Class AbstractLinkedMap.KeySetIterator

    java.lang.Object
      org.apache.commons.collections.map.AbstractLinkedMap.LinkIterator
          org.apache.commons.collections.map.AbstractLinkedMap.EntrySetIterator
              org.apache.commons.collections.map.AbstractLinkedMap.KeySetIterator

All Implemented Interfaces:
  java.util.Iterator, OrderedIterator, ResettableIterator

Enclosing class:
  AbstractLinkedMap

    protected static class AbstractLinkedMap.KeySetIterator

extends AbstractLinkedMap.EntrySetIterator

KeySet iterator.

Field Summary

Fields inherited from class org.apache.commons.collections.map.AbstractLinkedMap.LinkIterator
`expectedModCount, last, next, parent`

Constructor Summary
`protected` `AbstractLinkedMap.KeySetIterator(AbstractLinkedMap parent)`

Method Summary
`java.lang.Object` `next()`
`java.lang.Object` `previous()` Gets the previous element from the collection.

Methods inherited from class org.apache.commons.collections.map.AbstractLinkedMap.LinkIterator
`currentEntry, hasNext, hasPrevious, nextEntry, previousEntry, remove, reset, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractLinkedMap.KeySetIterator

    protected AbstractLinkedMap.KeySetIterator(AbstractLinkedMap parent)

Method Detail

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`
  Overrides:
    `next` in class `AbstractLinkedMap.EntrySetIterator`

### previous

    public java.lang.Object previous()

  Description copied from interface: `OrderedIterator`
  Gets the previous element from the collection.

  Specified by:
    `previous` in interface `OrderedIterator`
  Overrides:
    `previous` in class `AbstractLinkedMap.EntrySetIterator`
  Returns:
    the previous element in the iteration

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.